#ifndef __screen_calibrate
#define __screen_calibrate

#include "../screen.h"
#include "../state.h"


/*
 * Calibrate screen
 *   Configures the absolute height (calculates the offset) and
 *   the allowed minimum and maximum absolute height.
 */
class CalibrateScreen : public BaseScreen
{
  public:
    CalibrateScreen(ScreenManager* screenManager) : BaseScreen(screenManager) { }

    void onShow();
    void onButton(Button button);
    void onTick();

  private:
};

#endif
